Page MenuHomePhabricator

PHP warnings in ApiOpenSearch
Closed, ResolvedPublic

Description

2015-05-16 20:37:36 translatewiki.net translatewiki_net-bw_: [ecb45222] /w/api.php?action=opensearch&format=json&search=%E6%88%91&namespace=0&limit=10&suggest= ErrorException from line 430 of /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiResult.php: PHP Warning: Missing argument 2 for ApiResult::removeValue(), called in /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiOpenSearch.php on line 387 and defined
#0 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiResult.php(430): MWExceptionHandler::handleError(2, 'Missing argumen...', '/srv/mediawiki/...', 430, Array)
#1 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiOpenSearch.php(387): ApiResult->removeValue('warnings')
#2 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiMain.php(1250): ApiOpenSearchFormatJson->execute()
#3 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiMain.php(1108): ApiMain->printResult(false)
#4 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiMain.php(436): ApiMain->executeAction()
#5 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiMain.php(409): ApiMain->executeActionWithErrorHandling()
#6 /srv/mediawiki/tags/2015-05-15_13:20:23/api.php(90): ApiMain->execute()
#7 {main}
2015-05-16 20:37:36 translatewiki.net translatewiki_net-bw_: [ea1cebdc] /w/api.php?action=opensearch&format=json&search=%E6%88%91&namespace=0&limit=10&suggest= ErrorException from line 432 of /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiResult.php: PHP Notice: Undefined variable: name
#0 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiResult.php(432): MWExceptionHandler::handleError(8, 'Undefined varia...', '/srv/mediawiki/...', 432, Array)
#1 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiOpenSearch.php(387): ApiResult->removeValue('warnings')
#2 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiMain.php(1250): ApiOpenSearchFormatJson->execute()
#3 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiMain.php(1108): ApiMain->printResult(false)
#4 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiMain.php(436): ApiMain->executeAction()
#5 /srv/mediawiki/tags/2015-05-16_20:09:48/includes/api/ApiMain.php(409): ApiMain->executeActionWithErrorHandling()
#6 /srv/mediawiki/tags/2015-05-15_13:20:23/api.php(90): ApiMain->execute()
#7 {main}

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenNone
ResolvedLegoktm

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a project: MediaWiki-API.
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2015, 8:40 PM

Change 211499 had a related patch set uploaded (by Legoktm):
ApiOpenSearch: Pass second argument to ApiResult::removeValue()

https://gerrit.wikimedia.org/r/211499

Legoktm set Security to None.

Change 211499 merged by jenkins-bot:
ApiOpenSearch: Pass second argument to ApiResult::removeValue()

https://gerrit.wikimedia.org/r/211499

Change 211501 had a related patch set uploaded (by Reedy):
ApiOpenSearch: Pass second argument to ApiResult::removeValue()

https://gerrit.wikimedia.org/r/211501

Change 211501 merged by jenkins-bot:
ApiOpenSearch: Pass second argument to ApiResult::removeValue()

https://gerrit.wikimedia.org/r/211501

Krenair closed this task as Resolved.May 17 2015, 6:11 PM
Krenair claimed this task.
Krenair added a subscriber: Krenair.

Sounds like this is done

Krenair reassigned this task from Krenair to Legoktm.May 17 2015, 6:11 PM